gnutls_x509_crq_init(3)

NAME
gnutls_x509_crq_init - This function initializes a gnutls_x509_crq_t structure

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_init(gnutls_x509_crq_t * crq);

ARGUMENTS

gnutls_x509_crq_t * crq
    The structure to be initialized

DESCRIPTION
This function will initialize a PKCS10 certificate request structure.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.